Loading...
Searching...
No Matches
pfx_record Struct Reference
Prefix validation table » Trie

`#include "trie-pfx.h"`

## Data Fields

uint32_t | asn
uint8_t | max_len
uint8_t | min_len
struct lrtr_ip_addr | prefix
const struct rtr_socket * | socket

## Detailed Description

Parameters

  asn | Origin AS number.
  prefix | IP prefix.
  min_len | Minimum prefix length.
  max_len | Maximum prefix length.
  socket | The rtr_socket that received this record.